Package org.eclipse.m2m.atl.emftvm.impl

## Class TypedElementImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl
        - - org.eclipse.m2m.atl.emftvm.impl.TypedElementImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `NamedElement`, `TypedElement`

Direct Known Subclasses:
  `FeatureImpl`, `LocalVariableImpl`, `ParameterImpl`, `RuleElementImpl`

    public abstract class TypedElementImpl
    extends NamedElementImpl
    implements TypedElement

An implementation of the model object 'Typed Element'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected org.eclipse.emf.ecore.EClassifier` `eType` The cached value of the '`EType`' reference.
`protected java.lang.String` `type` The cached value of the '`Type`' attribute.
`protected static java.lang.String` `TYPE_EDEFAULT` The default value of the '`Type`' attribute.
`protected static java.lang.String` `TYPE_MODEL_EDEFAULT` The default value of the '`Type Model`' attribute.
`protected java.lang.String` `typeModel` The cached value of the '`Type Model`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `TypedElementImpl()` Creates a new `TypedElementImpl`.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.ecore.EClassifier` `basicGetEType()`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()` Returns the `EClass` that correspond to this metaclass.
`void` `eUnset​(int featureID)`
`org.eclipse.emf.ecore.EClassifier` `getEType()` Returns the value of the 'EType' reference.
`java.lang.String` `getType()` Returns the value of the 'Type' attribute.
`java.lang.String` `getTypeModel()` Returns the value of the 'Type Model' attribute.
`void` `setEType​(org.eclipse.emf.ecore.EClassifier newEType)` Sets the value of the '`EType`' reference.
`void` `setType​(java.lang.String newType)` Sets the value of the '`Type`' attribute.
`void` `setTypeModel​(java.lang.String newTypeModel)` Sets the value of the '`Type Model`' attribute.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl

`getName, setName`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eType

    protected org.eclipse.emf.ecore.EClassifier eType

The cached value of the '`EType`' reference.

See Also:
  `getEType()`

#### TYPE_EDEFAULT

    protected static final java.lang.String TYPE_EDEFAULT

The default value of the '`Type`' attribute.

See Also:
  `getType()`

#### type

    protected java.lang.String type

The cached value of the '`Type`' attribute.

See Also:
  `getType()`

#### TYPE_MODEL_EDEFAULT

    protected static final java.lang.String TYPE_MODEL_EDEFAULT

The default value of the '`Type Model`' attribute.

See Also:
  `getTypeModel()`

#### typeModel

    protected java.lang.String typeModel

The cached value of the '`Type Model`' attribute.

See Also:
  `getTypeModel()`

### Constructor Detail

#### TypedElementImpl

    protected TypedElementImpl()

Creates a new `TypedElementImpl`.

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `NamedElementImpl`
Returns:
  the `EClass` that correspond to this metaclass.

#### getEType

    public org.eclipse.emf.ecore.EClassifier getEType()

Returns the value of the 'EType' reference.

If the meaning of the 'EType' reference isn't clear, there really should be more of a description here...

Specified by:
  `getEType` in interface `TypedElement`
Returns:
  the value of the 'EType' reference.
See Also:
  `TypedElement.setEType(EClassifier)`, `EmftvmPackage.getTypedElement_EType()`

#### basicGetEType

    public org.eclipse.emf.ecore.EClassifier basicGetEType()

See Also:
  `getEType()`

#### setEType

    public void setEType​(org.eclipse.emf.ecore.EClassifier newEType)

Sets the value of the '`EType`' reference.

Specified by:
  `setEType` in interface `TypedElement`
Parameters:
  `newEType` - the new value of the 'EType' reference.
See Also:
  `TypedElement.getEType()`

#### getType

    public java.lang.String getType()

Returns the value of the 'Type' attribute.

If the meaning of the 'Type' reference isn't clear, there really should be more of a description here...

Specified by:
  `getType` in interface `TypedElement`
Returns:
  the value of the 'Type' attribute.
See Also:
  `TypedElement.setType(String)`, `EmftvmPackage.getTypedElement_Type()`

#### setType

    public void setType​(java.lang.String newType)

Sets the value of the '`Type`' attribute.

Specified by:
  `setType` in interface `TypedElement`
Parameters:
  `newType` - the new value of the 'Type' attribute.
See Also:
  `TypedElement.getType()`

#### getTypeModel

    public java.lang.String getTypeModel()

Returns the value of the 'Type Model' attribute.

If the meaning of the 'Type Model' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getTypeModel` in interface `TypedElement`
Returns:
  the value of the 'Type Model' attribute.
See Also:
  `TypedElement.setTypeModel(String)`, `EmftvmPackage.getTypedElement_TypeModel()`

#### setTypeModel

    public void setTypeModel​(java.lang.String newTypeModel)

Sets the value of the '`Type Model`' attribute.

Specified by:
  `setTypeModel` in interface `TypedElement`
Parameters:
  `newTypeModel` - the new value of the 'Type Model' attribute.
See Also:
  `TypedElement.getTypeModel()`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `NamedElementImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `NamedElementImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `NamedElementImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `NamedElementImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `NamedElementImpl`